SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 
Changelog for libtirpc3-1.0.3-104.354.i586.rpm :

* Thu Apr 12 2018 Thomas.BlumeAATTsuse.com- fix socket leak introduced by change-rpc-protocol-version-order patch (bsc#1087925) - add 0001-Fix-regression-introduced-by-change-rpc-version-orde.patch
* Thu Apr 05 2018 kukukAATTsuse.de- Revert binddynport changes as they break backward compatibility [brc#1562169]. - add 002-revert-binddynport.patch
* Thu Mar 15 2018 jengelhAATTinai.de- Remove ineffective --with-pic.
* Wed Mar 14 2018 kukukAATTsuse.de- Update to libtirpc 1.0.3 - clnt_dg_call: Fix a buffer overflow (CVE-2016-4429) - Avoid choosing reserved ports in legacy RPC APIs - rpcinfo: change order of version to be tried to 4, 3, 2 - includes 003-rpc-types.patch - includes 004-replace-bzero-with-memset.patch - includes 005-missing-includes.patch - includes 011-Fix-typo-in-src-libtirpc.map-which-prevents-that-key.patch - includes decls.patch- Drop COPYING.GPLv2, GPLv2 code was removed from library
* Mon Mar 05 2018 kukukAATTsuse.de- Adjust include directory [bsc#1083902]
* Thu Feb 22 2018 fvogtAATTsuse.com- Use %license (boo#1082318)
* Mon Jan 15 2018 kukukAATTsuse.de- Move /usr/include/tirpc to /usr/include
* Mon Nov 27 2017 kukukAATTsuse.de- Add COPYING.GPLv2 and install Licenses for GPLv2 code.
* Tue Nov 14 2017 kukukAATTsuse.de- 005-missing-includes.patch: add missing includes to make headers compatible to sunrpc.
* Mon Nov 13 2017 kukukAATTsuse.de- Update to version 1.0.2 - 002-old-automake.patch: not needed anymore - 005-libtirpc-1.0.2-rc1.patch: dropped - 006-Remove-old-meanwhile-wrong-comment-about-FD_SETSIZE-.patch: removed, merged upstream - 007-Change-rtime-function-to-use-poll-instead-of-select.patch: removed, merged upstream - 008-Add-parameters-to-local-prototypes-to-fix-compiler-w.patch: removed, merged upstream - 009-makefd_xprt-checks-that-the-filedesriptor-is-lower-t.patch: removed, merged upstream - 010-The-goto-again-statement-was-an-left-over-from-the-p.patch: removed, merged upstream - 012-libtirpc-needs-rpcsvc-nis.h-for-compiling-but-does-n.patch: removed, merged upstream - 013-If-we-don-t-compile-in-YP-support-don-t-include-YP-h.patch: removed, merged upstream - 014-Add-des_crypt.c-and-des_impl.c-to-become-independent.patch: removed, merged upstream - 015-Fix-includes-to-compile-without-deprecated-glibc-fun.patch: removed, merged upstream - patch6_7.diff: obsolete - Replace explicit_bzero.patch with 004-replace-bzero-with-memset.patch from git - Rename libtirpc-new-path-rpcbindsock.patch to 001-new-rpcbindsock-path.patch
* Mon Nov 13 2017 kukukAATTsuse.de- 003-rpc-types.patch: Add some typedefs to rpc/types.h to allow applications be compiled with -std=iso9899:1990
* Sat Sep 30 2017 jengelhAATTinai.de- Rectify RPM groups and summaries, and update old macro/variable constructs.
* Wed Jul 05 2017 schwabAATTsuse.de- decls.patch: fix missing declarations- explicit_bzero.patch: use explicit_bzero if available
* Mon Mar 14 2016 kukukAATTsuse.de- Add some patches to get libtirpc compiled without needing glibc deprecated functions: - 015-Fix-includes-to-compile-without-deprecated-glibc-fun.patch - 014-Add-des_crypt.c-and-des_impl.c-to-become-independent.patch - 013-If-we-don-t-compile-in-YP-support-don-t-include-YP-h.patch- Add 012-libtirpc-needs-rpcsvc-nis.h-for-compiling-but-does-n.patch to allow bootstrapping of libtirpc without glibc sunrpc code or libnsl NIS+ code.
* Mon Mar 14 2016 kukukAATTsuse.de- Add 011-Fix-typo-in-src-libtirpc.map-which-prevents-that-key.patch (fix export of key_secretkey_is_set)
* Thu Feb 25 2016 kukukAATTsuse.de- Add the following patches to fix some bugs from the poll() port and an endless loop: - 006-Remove-old-meanwhile-wrong-comment-about-FD_SETSIZE-.patch - 007-Change-rtime-function-to-use-poll-instead-of-select.patch - 008-Add-parameters-to-local-prototypes-to-fix-compiler-w.patch - 009-makefd_xprt-checks-that-the-filedesriptor-is-lower-t.patch - 010-The-goto-again-statement-was-an-left-over-from-the-p.patch
* Thu Jan 21 2016 kukukAATTsuse.de- Remove 004-netconfig-prefer-IPv6.patch for SLES12.- Remove libtirpc-getnetconfig-races.patch (was backport). [FATE#320393]
* Wed Jan 20 2016 kukukAATTsuse.de- Split the netconfig configuration file and manual page off into an own RPM. Else it is not possible to install the old and new libtirpc libraries in parallel.
* Tue Nov 17 2015 kukukAATTsuse.de- Update to libtirpc-1.0.1 - new major soname - Adjust auth code to match other RPC implementations - Implement more gss auth stuff - use poll() instead of select() in svc_run() - Add more sunrpc compat functions - Sync compat headers with real functions- Drop 005-missing-symvers.patch (upstream)- Drop 006-memleak1.patch (upstream)- Drop 007-memleak2.patch (upstream)- Drop 008-fix-undef-ref.patch (upstream)- Drop 009-authdes_pk_create.patch (upstream)- Drop 010-xdr_sizeof.patch (upstream)- Drop 011-authdes_create.patch (upstream)- Drop 012-xp_sock.patch (upstream)- Drop 099-poll.patch (upstream)- Drop libtirpc-xdr-header.patch (was backport)- Add 005-libtirpc-1.0.2-rc1.patch (fixes deadlock)
* Thu Jul 23 2015 okirAATTsuse.com- Fix public xdr.h header - xdr_rpcvers() were broken (bsc#902439) Added: libtirpc-xdr-header.patch
* Thu Jul 16 2015 kukukAATTsuse.de- Update 099-poll.patch with newest version send upstream.
* Fri Jul 10 2015 kukukAATTsuse.de- Add 099-poll.patch: change svc_run from select() to poll().
* Thu Jul 09 2015 kukukAATTsuse.de- Add 012-xp_sock.patch: add sunrpc compatibility define
* Thu Jul 02 2015 kukukAATTsuse.de- Update 009-authdes_pk_create.patch (fix syncaddr handling)- Add 011-authdes_create.patch (fix syncaddr handling)
* Sat Jun 27 2015 kukukAATTsuse.com- Add 010-xdr_sizeof.patch (enable xdr_sizeof)
* Fri Jun 26 2015 kukukAATTsuse.com- Add 009-authdes_pk_create.patch (missing SunRPC compat function)
* Wed Jun 24 2015 kukukAATTsuse.de- Add 008-fix-undef-ref.patch to fix a undefined reference bug
* Tue Jun 23 2015 kukukAATTsuse.de- Update to version 0.3.2 (bring authdes back)- Remove 005-no_IPv6_for_old_code.patch (accepted upstream)- Remove 001-tirpc-features.patch (obsolete)- Add 005-missing-symvers.patch (fix missing, new symbols)- Add 006-memleak1.patch (fix memory leak)- Add 007-memleak2.patch (fix memory leak)
* Mon Jun 01 2015 kukukAATTsuse.de- Remove krb5-devel from -devel requires, not needed anymore
* Mon Jun 01 2015 kukukAATTsuse.de- Update to libtirpc 0.3.1, which incorporates the following patches: - 011-gssapi-update1.patch - 012-gssapi-update2.patch - 013-gssapi-update3.patch - 014-gssapi-update4.patch - 015-gssapi-update5.patch - 016-gssapi-update6.patch - 017-gssapi-update7.patch - 018-gssapi-update8.patch Not needed anymore: - 007-fix-tirpc_map.patch Adjusted: - 001-tirpc-features.patch, merged with 006-rework-features.diff - 002-old-automake.patch
* Tue May 26 2015 kukukAATTsuse.de- 007-fix-tirpc_map.patch: fix symbol version for new global names
* Tue May 26 2015 kukukAATTsuse.de- 006-rework-features.diff: Adjust for set of gssapi patches- 003-fix-gssapi.patch replaced by 011-gssapi-update1.patch- 012-gssapi-update2.patch: fix krb5-config usage- 013-gssapi-update3.patch: check for gssapi.h- 014-gssapi-update4.patch: don\'t include rpcsec_gss.h- 015-gssapi-update5.patch: don\'t install GSSAPI files if disabled- 016-gssapi-update6.patch: fix rpc_gss_seccreate- 017-gssapi-update7.patch: officialy export two internal functions- 018-gssapi-update8.patch: don\'t use glibc special header files
* Tue May 12 2015 kukukAATTsuse.de- 003-fix-gssapi.patch: Correct fix for GSS ABI breakage- 005-no_IPv6_for_old_code.patch: Update comment- 006-rework-features.diff: Rework tirpc-features.h
* Fri May 08 2015 kukukAATTsuse.de- 003-fix-gssapi.patch: Update, one chunk did go lost
* Fri May 08 2015 kukukAATTsuse.de- 001-tirpc-features.patch: update with official git version- 002-old-automake.patch: re-add for SLES11- 003-fix-gssapi.patch: try to fix the disable-gssapi option correct
* Thu May 07 2015 kukukAATTsuse.de- Fix HAVE_AUTHDES/HAVE_GSSAPI in public header files (001-tirpc-features.patch)
* Wed May 06 2015 kukukAATTsuse.de- Update to official release 0.3.0. authdes was disabled by default upstream.- Following patches were merged: - 001-symbol-versions-v5.patch - 003-add-des_crypt.diff- Remove 002-old-automake.patch, not needed anymore
* Mon May 04 2015 kukukAATTsuse.de- Update 001-symbol-versions-v4.patch with 001-symbol-versions-v5.patch: Add --disable-symvers option
* Thu Apr 30 2015 kukukAATTsuse.de- Update 003-add-des_crypt.diff, fix unresolved des functions
* Thu Apr 30 2015 kukukAATTsuse.de- Update to git- Add 003-add-des_crypt.diff to fix unresolved
*_crypt() functions
* Thu Apr 30 2015 kukukAATTsuse.de- Disable gssapi for SLE11, kerberos version is too old
* Thu Apr 30 2015 kukukAATTsuse.de- rpc/rpc.h requires now indirectly gssapi.h from krb5-devel
* Thu Apr 30 2015 kukukAATTsuse.de- Update to current git.- The following patches were accepted upstream: - 003-xdr_h-fix.patch - 005-disable-rpcent.patch - 006-no-libnsl.patch - patch1_7.diff - patch2_7.diff - patch3_7.diff- patch7_7.diff: removed, rejected upstream- 001-symbol-versions-v3.patch: replace with 001-symbol-versions-v4.patch
* Fri Apr 24 2015 kukukAATTsuse.de- Add the following patches from the libtirpc-devel mailing list: - patch1_7.diff (remove wrong config.h.in) - patch2_7.diff (fix function name of yp_check) - patch3_7.diff (make sure config.h is included) - patch6_7.diff (use getaddrinfo in getrpcport) - patch7_7.diff (remove prototypes from headers we don\'t supply)
* Fri Apr 24 2015 kukukAATTsuse.de- Add following patches: - 003-xdr_h-fix.patch (fix wrong defines using xdr_u_int32) - 005-disable-rpcent.patch (use rpcent functions from glibc) - 006-no-libnsl.patch (don\'t link against libnsl)
* Thu Apr 23 2015 kukukAATTsuse.de- Update to 0.2.5.git from 20150423 - following patches are accepted upstream: - 003-rpc_broadcast_misformed_replies.patch - libtirpc-misc-segfaults.patch - replace 001-symbol-versions-v2.patch with 001-symbol-versions-v3.patch - enable symbol versioning patch
* Tue Feb 03 2015 lchiquittoAATTsuse.com- Fix race conditions in getnetconfig (bsc#899576, bsc#882973) Added: libtirpc-getnetconfig-races.patch
* Fri Dec 19 2014 kukukAATTsuse.de- 004-netconfig-prefer-IPv6.patch: Prever IPv6 over IPv4 (configured in /etc/netconfig)
* Fri Dec 19 2014 kukukAATTsuse.de- 002-old-automake.patch: make buildable on old systems
* Wed Dec 17 2014 kukukAATTsuse.de- Update to 0.2.5.git from 20141217 - following patches are accepted upstream: - 002-clnt_broadcast_fix.patch - 004-getpmaphandle.patch - libtirpc-clntunix_create.patch - libtirpc-getbroadifs-crash.patch - libtirpc-taddr2uaddr-local.patch
* Mon Dec 15 2014 kukukAATTsuse.de- Update to upstream 0.2.5 release- Add symbol versioning to fix symbol conflicts (001-symbol-versions-v2.patch), but disable until commited upstream- Adjust libtirpc-clnt_broadcast_fix.patch and rename to 002-clnt_broadcast_fix.patch- Adjust libtirpc-rpc_broadcast_misformed_replies.patch and rename to 003-rpc_broadcast_misformed_replies.patch- Rename libtirpc-getpmaphandle.patch to 004-getpmaphandle.patch- Adjust libtirpc-bindresvport_blacklist.patch and rename to 000-bindresvport_blacklist.patch- Drop libtirpc-pmap-setunset.patch, not needed anymore- Apply libtirpc-new-path-rpcbindsock.patch only on openSUSE 13.1 and later